package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Lga;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface LgaMapper {

    int insert(Lga record);

    int insertSelective(Lga record);

    int updateByPrimaryKeySelective(Lga record);

    int updateByPrimaryKey(Lga record);

    int deleteByPrimaryKey(Lga record);

    int deleteByIds(Collection<Object> collection);

    Lga selectByPrimaryKey(Lga record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Lga> dyncRead(Map<String,Object> dyncMap);

    Lga selectByInr(@Param("inr") String inr);

    Lga selectByLgbInr(@Param("lgbinr") String lgbinr);

    Lga queryUseAmt(@Param("lgbinr") String lgbinr);

    Lga queryNacAmt(@Param("lgbinr") String lgbinr);

}